#
# spec file for package rubygem-actionview-4_2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-actionview-4_2
Version:        4.2.4
Release:        12.16
%define mod_name actionview
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_2
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  CVE-2016-0752.patch
Patch1:  CVE-2016-2098.patch
# /MANUAL
Summary:        Rendering framework putting the V in MVC (part of Rails)
License:        MIT
Group:          Development/Languages/Ruby

%description
Simple, battle-tested conventions and helpers for building web pages.

%prep
%gem_unpack
%patch0 -p2
%patch1 -p2
%gem_build

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Mar  7 2016 jmassaguerpla@suse.com
- fix bsc#968849: CVE-2016-2098: rubygem-actionpack: Possible remote
  code execution vulnerability in Action Pack
* Wed Jan 27 2016 jloehel@suse.com
- fix bnc#963332 - CVE-2016-0752: rubygem-actionpack,
  rubygem-actionview: directory traversal and information leak in
  Action View
  CVE-2016-0752.patch: contains the security fix
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# Rails 4.2.4 (August 24, 2015) ##
  * No Changes *
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# Rails 4.2.3 (June 25, 2015) ##
  * `translate` should handle `raise` flag correctly in case of both main and default
    translation is missing.
    Fixes #19967
  * Bernard Potocki*
  * `translate` allows `default: [[]]` again for a default value of `[]`.
    Fixes #19640.
  * Adam Prescott*
  * `translate` should accept nils as members of the `:default`
    parameter without raising a translation missing error.  Fixes a
    regression introduced 362557e.
    Fixes #19419
  * Justin Coyne*
  * `number_to_percentage` does not crash with `Float::NAN` or `Float::INFINITY`
    as input when `precision: 0` is used.
    Fixes #19227.
  * Yves Senn*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.2 (June 16, 2015) ##
  * No Changes *
* Sun Mar 22 2015 coolo@suse.com
- updated to version 4.2.1
  * Default translations that have a lower precidence than an html safe default,
    but are not themselves safe, should not be marked as html_safe.
  * Justin Coyne*
  * Added an explicit error message, in `ActionView::PartialRenderer`
    for partial `rendering`, when the value of option `as` has invalid characters.
  * Angelo Capilleri*
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * Added an explicit error message, in `ActionView::PartialRenderer`
  for partial `rendering`, when the value of option `as` has invalid characters.
  * Update `select_tag` to work correctly with `:include_blank` option passing a string.
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.1.6
  * Fix that render layout: 'messages/layout' should also be added to the dependency tracker tree.
  * Return an absolute instead of relative path from an asset url in the case
    of the `asset_host` proc returning nil
  * Fix `html_escape_once` to properly handle hex escape sequences (e.g. &#x1a2b;)
  * Bring `cache_digest` rake tasks up-to-date with the latest API changes
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
